%define name asp2php
%define version 0.76.16
%define release 1mdk
%define prefix %{_prefix}


Name: %{name}
Version: %{version}
Release: %{release}
Summary: Program for converting .asp files to .php files
License: GPL
Group: Development/Other
Source0: %{name}-%{version}.tar.bz2
Source1:    %{name}-16.png.bz2
Source2:    %{name}-32.png.bz2
Source3:   %{name}-48.png.bz2
URL: http://asp2php.naken.cc/
BuildRoot: %{_tmppath}/%{name}-root


%package -n gtkasp2php
Version: %{version}
Summary: Graphical front-end for asp2php
Group: Development/Other
License: GPL
Requires: asp2php gtk+ >= 1.2.0
BuildRequires: gtk+-devel >= 1.2.0

%description
asp2php is a program which can help you convert Micro$oft (tm) Active Server
Pages (tm) to PHP files.

Install this if you intend to migrate from Microsuck, umm, I mean Micro$oft 
(tm) Internet Information Server (tm) to PHP.

%description -n gtkasp2php
gtkasp2php is the gtk-based graphical front-end for asp2php.

Install this if you want a graphical front-end for asp2php.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q 

%build
%make
%make gui

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/gtkasp2php

install -m755 asp2php $RPM_BUILD_ROOT%{_bindir}
install -m755 gtkasp2php $RPM_BUILD_ROOT%{_libdir}/gtkasp2php
for i in src/*.xpm *.png;do
   install -m644 $i $RPM_BUILD_ROOT%{_libdir}/gtkasp2php
done


cat << EOF > gtkasp2php.sh
#!/bin/sh
blah=`pwd`
cd /usr/lib/gtkasp2php
exec ./gtkasp2php
duh=$?
cd $blah
exit duh
EOF

install -m755 gtkasp2php.sh $RPM_BUILD_ROOT/%{prefix}/bin/gtkasp2php

cd $RPM_BUILD_ROOT/%{prefix}/lib/gtkasp2php
ln -s ../../bin/asp2php asp2php

bzcat %{SOURCE1} > %{name}-16.png
bzcat %{SOURCE2} > %{name}-32.png
bzcat %{SOURCE3} > %{name}-48.png
install -D -m 644 %{name}-16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -D -m 644 %{name}-32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 %{name}-48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png


(cd $RPM_BUILD_ROOT
mkdir -p ./%{_menudir}
cat > ./%{_menudir}/gtkasp2php <<EOF
?package(gtkasp2php):\
command="%{_bindir}/gtkasp2php"\
title="Asp2Php"\
longtitle="Gtk frontend to asp2php"\
needs="x11"\
icon="%{name}.png"\
section="Applications/Development/Tools"
EOF
)

%post -n gtkasp2php
%{update_menus}

%postun -n gtkasp2php
%{clean_menus}


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/asp2php
%doc README LICENSE

%files -n gtkasp2php
%defattr(-,root,root)
%{_bindir}/gtkasp2php
%{_libdir}/gtkasp2php/gtkasp2php
%{_libdir}/gtkasp2php/*.xpm
%{_libdir}/gtkasp2php/*.png
%{_libdir}/gtkasp2php/asp2php
%{_menudir}/*
# icons
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Sat Mar 22 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.76.16-1mdk
- 0.76.16

* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.76.13-2mdk
- rebuild

* Mon Oct 07 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.76.13-1mdk
- 0.76.13

* Fri Jul 19 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.76.12-1mdk
- 0.76.12

* Fri Jun 28 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.76.10-1mdk
- 0.76.10

* Fri May 03 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.76.8-1mdk
- 0.76.8
- Add menu entry and icons

* Sat Aug 25 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.75.22-1mdk
- updated to 0.75.22

* Tue Jun 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.75.14-1mdk
- updated to 0.75.14

* Thu Jan 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.75.11-1mdk
- updated to 0.75.11

* Thu Jul 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.75.1-2mdk
- macros
- BM

* Tue Jul 04 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 0.75.1-1mdk
- first release for mandrake


